Update Smart Group
1 min
PUT
https://api.b.preview.loyaltyservices.io/api/v3/smart-groups/{smartGroupId}
Path Parameters
- smartGroupIdinteger<int64>requiredDescriptionFormatint64
Body Parameters
- bodySmartGrouprequiredDescription
- typeCodestringrequiredDescriptionMax Length50
- namestringrequiredDescriptionMin Length1Max Length100
- descriptionstringDescriptionMax Length200
- statusCodestringExampleDescriptionDefaultA
- isExclusivebooleanDescriptionDefaultfalse
- detailsSmartGroupDetail[]Description
- smartGroupDetailIdinteger<int64>DescriptionFormatint64
- dataIdinteger<int64>DescriptionFormatint64
- datastringDescription
- dataKeystringrequiredDescriptionMin Length1Max Length50
- dataKeyDescriptionstringDescriptionMin Length1Max Length500
- updateDateTimestring<date-time>DescriptionFormatdate-time
Responses
200
- SmartGroup
- smartGroupIdinteger<int64>DescriptionFormatint64
- typeCodestringrequiredDescriptionMax Length50
- typeDescriptionstringDescription
- namestringrequiredDescriptionMin Length1Max Length100
- descriptionstringDescriptionMax Length200
- statusCodestringExampleDescriptionDefaultA
- isExclusivebooleanDescriptionDefaultfalse
- detailsSmartGroupDetail[]Description
- smartGroupDetailIdinteger<int64>DescriptionFormatint64
- dataIdinteger<int64>DescriptionFormatint64
- datastringDescription
- dataKeystringrequiredDescriptionMin Length1Max Length50
- dataKeyDescriptionstringDescriptionMin Length1Max Length500
- updateDateTimestring<date-time>DescriptionFormatdate-time
- updateDateTimestring<date-time>DescriptionFormatdate-time
400
- ErrorResponse
- errorsValidationError[]Description
- codestringDescription
- fieldNamestringDescription
- messagestringDescription
- messageParametersobject[]Description
401
403
404
500
curl
curl --request PUT \
--url https://api.b.preview.loyaltyservices.io/api/v3/smart-groups/{smartGroupId} \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"typeCode": "",
"name": "",
"statusCode": "A",
"details": [
{
"dataKey": ""
}
]
}'ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.b.preview.loyaltyservices.io/api/v3/smart-groups/{smartGroupId}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Put.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump({
"typeCode": "",
"name": "",
"statusCode": "A",
"details": [
{
"dataKey": ""
}
]
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.b.preview.loyaltyservices.io/api/v3/smart-groups/{smartGroupId}"
payload = json.dumps({
"typeCode": "",
"name": "",
"statusCode": "A",
"details": [
{
"dataKey": ""
}
]
})
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("PUT", url, headers=headers, data=payload)
print(response.text)
java
OkHttpClient client = new OkHttpClient().newBuilder()
.build();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\n \"typeCode\": \"\",\n \"name\": \"\",\n \"statusCode\": \"A\",\n \"details\": [\n {\n \"dataKey\": \"\"\n }\n ]\n}");
Request request = new Request.Builder()
.url("https://api.b.preview.loyaltyservices.io/api/v3/smart-groups/{smartGroupId}")
.method("PUT", body)
.addHeader("accept", "application/json")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();200
// Success
{
"smartGroupId": "",
"typeCode": "",
"typeDescription": "",
"name": "",
"description": "",
"statusCode": "A",
"isExclusive": false,
"details": [
{
"smartGroupDetailId": "",
"dataId": "",
"data": "",
"dataKey": "",
"dataKeyDescription": "",
"updateDateTime": ""
}
],
"updateDateTime": ""
}400
// Bad request
{
"errors": [
{
"code": "",
"fieldName": "",
"message": "",
"messageParameters": [
{}
]
}
]
}401
// Unauthorized
403
// Forbidden
404
// Not found
500
// Internal error